Page MenuHomePhabricator

jQuery 3 migration warnings
Open, NormalPublic

Description

Following the upgrade to jQuery 3 and jQuery Migrate 3, this task will track sub tasks for addressing one or more migration warnings about functionality that was deprecated or removed in jQuery 3, but remains functional with the migrate plugin.

See also:

Related Objects

StatusAssignedTask
OpenNone
ResolvedCatrope
ResolvedJdforrester-WMF
OpenNone
OpenNone
Resolvedmatmarex
OpenNone
OpenNone
ResolvedKrinkle
DeclinedNone
OpenNone
ResolvedNikerabbit
Resolvedmatmarex
OpenNone
ResolvedPcoombe
Resolvedrafidaslam
ResolvedABorbaWMF
ResolvedLucas_Werkmeister_WMDE
OpenNone
OpenNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Krinkle triaged this task as Normal priority.Jul 12 2017, 6:53 PM

Change 370845 had a related patch set uploaded (by Krinkle; owner: Alex Monk):
[mediawiki/extensions/AbuseFilter@master] Use prop instead of removeAttr for syntax check disabled status

https://gerrit.wikimedia.org/r/370845

Change 370845 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Use prop instead of removeAttr for syntax check disabled status

https://gerrit.wikimedia.org/r/370845

Krinkle updated the task description. (Show Details)Aug 9 2017, 7:12 PM

Change 371016 had a related patch set uploaded (by Alex Monk; owner: Alex Monk):
[mediawiki/extensions/CodeReview@master] Use .length instead of .size() as it's getting removed in jQuery 3.0

https://gerrit.wikimedia.org/r/371016

Change 371017 had a related patch set uploaded (by Alex Monk; owner: Alex Monk):
[mediawiki/extensions/Collection@master] Use prop instead of removeAttr

https://gerrit.wikimedia.org/r/371017

Change 371018 had a related patch set uploaded (by Alex Monk; owner: Alex Monk):
[mediawiki/extensions/MwEmbedSupport@master] Use .length instead of .size() as it's getting removed in jQuery 3.0

https://gerrit.wikimedia.org/r/371018

Change 371019 had a related patch set uploaded (by Alex Monk; owner: Alex Monk):
[mediawiki/extensions/SVGEdit@master] Use prop instead of removeAttr

https://gerrit.wikimedia.org/r/371019

Change 371024 had a related patch set uploaded (by Alex Monk; owner: Alex Monk):
[mediawiki/extensions/Translate@master] Use .length instead of .size() as it's getting removed in jQuery 3.0

https://gerrit.wikimedia.org/r/371024

Change 371026 had a related patch set uploaded (by Alex Monk; owner: Alex Monk):
[mediawiki/extensions/Wikibase@master] Use prop instead of removeAttr

https://gerrit.wikimedia.org/r/371026

Change 371024 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Use .length instead of .size() as it's getting removed in jQuery 3.0

https://gerrit.wikimedia.org/r/371024

Change 371026 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use prop instead of removeAttr

https://gerrit.wikimedia.org/r/371026

Change 371018 merged by jenkins-bot:
[mediawiki/extensions/MwEmbedSupport@master] Use .length instead of .size() as it's getting removed in jQuery 3.0

https://gerrit.wikimedia.org/r/371018

Change 371016 merged by jenkins-bot:
[mediawiki/extensions/CodeReview@master] Use .length instead of .size() as it's getting removed in jQuery 3.0

https://gerrit.wikimedia.org/r/371016

Change 371017 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Use prop instead of removeAttr

https://gerrit.wikimedia.org/r/371017

Change 371019 merged by jenkins-bot:
[mediawiki/extensions/SVGEdit@master] Use prop instead of removeAttr

https://gerrit.wikimedia.org/r/371019

TheDJ added a subscriber: TheDJ.Aug 30 2017, 3:37 PM

Change 378804 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/EventLogging@master] ext.eventLogging.subscriber: Don't wait for "load" if it already happened

https://gerrit.wikimedia.org/r/378804

Change 379452 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/TimedMediaHandler@master] Use jQuery on/off instead of deprecated bind/unbind

https://gerrit.wikimedia.org/r/379452

Change 379452 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Use jQuery on/off instead of deprecated bind/unbind

https://gerrit.wikimedia.org/r/379452

Change 378804 merged by jenkins-bot:
[mediawiki/extensions/EventLogging@master] ext.eventLogging.subscriber: Don't wait for "load" if it already happened

https://gerrit.wikimedia.org/r/378804

Change 382087 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/TimedMediaHandler@master] Fix jQuery.fn.bind() call in mw.MediaWikiPlayer.loader.js

https://gerrit.wikimedia.org/r/382087

Change 382088 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/TimedMediaHandler@wmf/1.30.0-wmf.19] Fix jQuery.fn.bind() call in mw.MediaWikiPlayer.loader.js

https://gerrit.wikimedia.org/r/382088

Change 382088 abandoned by Krinkle:
Fix jQuery.fn.bind() call in mw.MediaWikiPlayer.loader.js

https://gerrit.wikimedia.org/r/382088

Change 382089 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/TimedMediaHandler@wmf/1.31.0-wmf.2] Fix jQuery.fn.bind() call in mw.MediaWikiPlayer.loader.js

https://gerrit.wikimedia.org/r/382089

Krinkle updated the task description. (Show Details)Oct 3 2017, 11:11 PM

Change 382087 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Fix jQuery.fn.bind() call in mw.MediaWikiPlayer.loader.js

https://gerrit.wikimedia.org/r/382087

Change 382089 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@wmf/1.31.0-wmf.2] Fix jQuery.fn.bind() call in mw.MediaWikiPlayer.loader.js

https://gerrit.wikimedia.org/r/382089

Change 382191 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/TimedMediaHandler@master] Use prop(, false) instead of removeAttr() to change properties

https://gerrit.wikimedia.org/r/382191

Change 382194 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/LiquidThreads@master] Use on() instead of deprecated on()

https://gerrit.wikimedia.org/r/382194

Change 382196 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/PageTriage@master] Change use of deprecated jQuery.fn.hover() to on()

https://gerrit.wikimedia.org/r/382196

Change 382196 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Change use of deprecated jQuery.fn.hover() to on()

https://gerrit.wikimedia.org/r/382196

Change 382194 merged by jenkins-bot:
[mediawiki/extensions/LiquidThreads@master] Use on() instead of deprecated bind()

https://gerrit.wikimedia.org/r/382194

Change 382191 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Use prop(, false) instead of removeAttr() to change properties

https://gerrit.wikimedia.org/r/382191

Change 382319 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/TimedMediaHandler@wmf/1.31.0-wmf.2] Use prop(, false) instead of removeAttr() to change properties

https://gerrit.wikimedia.org/r/382319

Change 382319 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@wmf/1.31.0-wmf.2] Use prop(, false) instead of removeAttr() to change properties

https://gerrit.wikimedia.org/r/382319

Mentioned in SAL (#wikimedia-operations) [2017-10-04T23:53:49Z] <catrope@tin> Synchronized php-1.31.0-wmf.2/extensions/TimedMediaHandler/MwEmbedModules/EmbedPlayer/resources/jquery.embedPlayer.js: Fix jqmigrate warning (T169385) (duration: 00m 50s)

Change 382553 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] jquery.ui: Fix various jQuery Migrate warnings

https://gerrit.wikimedia.org/r/382553

Change 382553 merged by jenkins-bot:
[mediawiki/core@master] jquery.ui: Fix various jQuery Migrate warnings

https://gerrit.wikimedia.org/r/382553

Change 382768 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@wmf/1.31.0-wmf.2] jquery.ui: Fix various jQuery Migrate warnings

https://gerrit.wikimedia.org/r/382768

Change 382768 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.2] jquery.ui: Fix various jQuery Migrate warnings

https://gerrit.wikimedia.org/r/382768

Change 391991 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/TimedMediaHandler@master] mw.MediaWikiPlayerSupport: Fix more .bind() deprecation warnings

https://gerrit.wikimedia.org/r/391991

Change 391991 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] mw.MediaWikiPlayerSupport: Fix more jQuery 3 deprecation warnings

https://gerrit.wikimedia.org/r/391991

Change 392574 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@master] Fix audio/video player regression

https://gerrit.wikimedia.org/r/392574

Change 392574 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Fix audio/video player regression

https://gerrit.wikimedia.org/r/392574

Change 429534 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] jquery.ui: Use on() instead of deprecated bind() in jquery.ui.mouse

https://gerrit.wikimedia.org/r/429534

Change 429534 merged by jenkins-bot:
[mediawiki/core@master] jquery.ui: Use on() instead of deprecated bind() in jquery.ui.mouse

https://gerrit.wikimedia.org/r/429534